Publish Package Version
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Publish Package Version action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Publish NPM Package",
"type": "PUBLISH_PACKAGE_VERSION",
"trigger_time": "ON_EVERY_EXECUTION",
"package": "my-company/ui-components",
"versions": [
"3.2.1"
],
"local_path": "/dist",
"remote_path": "/packages",
"input_type": "BUILD_ARTIFACTS",
"deployment_excludes": [
"*.map",
"*.test.js"
],
"deployment_includes": [
"**/*.js",
"**/*.css",
"package.json"
],
"deletion_disabled": true
}'STATUS200 OK